/*
 * Copyright (c) 2020 The ZMK Contributors
 *
 * SPDX-License-Identifier: CC-BY-NC-SA-4.0
 */

export default {
  "application-controls": [
    "K_MENU",
    "C_AC_PROPERTIES",
    "K_SELECT",
    "C_AC_CANCEL",
    "K_EXECUTE",
    "C_AC_REFRESH",
    "K_REFRESH",
    "C_AC_STOP",
    "K_STOP",
    "C_AC_FORWARD",
    "K_FORWARD",
    "C_AC_BACK",
    "K_BACK",
    "C_AC_HOME",
    "C_AC_BOOKMARKS",
    "C_AC_NEW",
    "C_AC_OPEN",
    "C_AC_SAVE",
    "C_AC_CLOSE",
    "C_AC_EXIT",
    "C_AC_PRINT",
    "C_AC_FIND",
    "K_FIND",
    "K_FIND2",
    "C_AC_SEARCH",
    "C_AC_GOTO",
    "C_AC_ZOOM",
    "C_AC_ZOOM_IN",
    "C_AC_ZOOM_OUT",
    "C_AC_SCROLL_UP",
    "K_SCROLL_UP",
    "C_AC_SCROLL_DOWN",
    "K_SCROLL_DOWN",
    "C_AC_REPLY",
    "C_AC_FORWARD_MAIL",
    "C_AC_SEND",
    "C_AC_EDIT",
    "C_AC_INSERT",
    "C_AC_DEL",
    "C_AC_VIEW_TOGGLE",
    "C_AC_DESKTOP_SHOW_ALL_WINDOWS",
    "C_AC_DESKTOP_SHOW_ALL_APPLICATIONS",
    "C_VOICE_COMMAND",
  ],
  applications: [
    "C_AL_NEXT_TASK",
    "C_AL_PREVIOUS_TASK",
    "C_AL_SELECT_TASK",
    "C_AL_MY_COMPUTER",
    "C_AL_DOCUMENTS",
    "C_AL_FILE_BROWSER",
    "C_AL_WWW",
    "K_WWW",
    "C_AL_EMAIL",
    "C_AL_INSTANT_MESSAGING",
    "C_AL_NETWORK_CHAT",
    "C_AL_CONTACTS",
    "C_AL_CALENDAR",
    "C_AL_IMAGE_BROWSER",
    "C_AL_AUDIO_BROWSER",
    "C_AL_MOVIE_BROWSER",
    "C_AL_TEXT_EDITOR",
    "C_AL_WORD",
    "C_AL_SPREADSHEET",
    "C_AL_PRESENTATION",
    "C_AL_GRAPHICS_EDITOR",
    "C_AL_CALCULATOR",
    "K_CALCULATOR",
    "C_AL_NEWS",
    "C_AL_DATABASE",
    "C_AL_VOICEMAIL",
    "C_AL_FINANCE",
    "C_AL_TASK_MANAGER",
    "C_AL_JOURNAL",
    "C_AL_AV_CAPTURE_PLAYBACK",
    "C_AL_SPELLCHECK",
    "C_AL_SCREEN_SAVER",
    "C_AL_KEYBOARD_LAYOUT",
    "C_AL_CONTROL_PANEL",
    "C_AL_HELP",
    "K_HELP",
    "C_AL_OEM_FEATURES",
    "C_AL_CCC",
  ],
  "consumer-controls": [
    "C_CHANNEL_INC",
    "C_CHANNEL_DEC",
    "C_RECALL_LAST",
    "C_MEDIA_VCR_PLUS",
    "C_MEDIA_GUIDE",
    "C_MEDIA_STEP",
    "C_MEDIA_HOME",
    "C_MEDIA_TV",
    "C_MEDIA_CABLE",
    "C_MEDIA_TUNER",
    "C_MEDIA_DVD",
    "C_MEDIA_CD",
    "C_MEDIA_SATELLITE",
    "C_MEDIA_VCR",
    "C_MEDIA_TAPE",
    "C_MEDIA_COMPUTER",
    "C_MEDIA_WWW",
    "C_MEDIA_GAMES",
    "C_MEDIA_PHONE",
    "C_MEDIA_VIDEOPHONE",
    "C_MEDIA_MESSAGES",
    "C_QUIT",
    "C_HELP",
  ],
  "consumer-menus": [
    "C_MENU",
    "C_MENU_PICK",
    "C_MENU_UP",
    "C_MENU_DOWN",
    "C_MENU_LEFT",
    "C_MENU_RIGHT",
    "C_MENU_ESCAPE",
    "C_MENU_INCREASE",
    "C_MENU_DECREASE",
    "C_RED_BUTTON",
    "C_GREEN_BUTTON",
    "C_BLUE_BUTTON",
    "C_YELLOW_BUTTON",
  ],
  "cut-copy-paste": [
    "C_AC_CUT",
    "K_CUT",
    "C_AC_COPY",
    "K_COPY",
    "C_AC_PASTE",
    "K_PASTE",
  ],
  display: [
    "C_BRIGHTNESS_INC",
    "C_BRIGHTNESS_DEC",
    "C_BRIGHTNESS_MINIMUM",
    "C_BRIGHTNESS_MAXIMUM",
    "C_BRIGHTNESS_AUTO",
    "C_BACKLIGHT_TOGGLE",
    "C_ASPECT",
    "C_PIP",
  ],
  "input-assist": [
    "C_KEYBOARD_INPUT_ASSIST_NEXT",
    "C_KEYBOARD_INPUT_ASSIST_PREVIOUS",
    "C_KEYBOARD_INPUT_ASSIST_NEXT_GROUP",
    "C_KEYBOARD_INPUT_ASSIST_PREVIOUS_GROUP",
    "C_KEYBOARD_INPUT_ASSIST_ACCEPT",
    "C_KEYBOARD_INPUT_ASSIST_CANCEL",
  ],
  "keyboard-control-whitespace": [
    "ESCAPE",
    "RETURN",
    "RETURN2",
    "SPACE",
    "TAB",
    "BACKSPACE",
    "DELETE",
    "INSERT",
  ],
  "keyboard-fkeys": [
    "F1",
    "F2",
    "F3",
    "F4",
    "F5",
    "F6",
    "F7",
    "F8",
    "F9",
    "F10",
    "F11",
    "F12",
    "F13",
    "F14",
    "F15",
    "F16",
    "F17",
    "F18",
    "F19",
    "F20",
    "F21",
    "F22",
    "F23",
    "F24",
  ],
  "keyboard-international": [
    "INTERNATIONAL_1",
    "INTERNATIONAL_2",
    "INTERNATIONAL_3",
    "INTERNATIONAL_4",
    "INTERNATIONAL_5",
    "INTERNATIONAL_6",
    "INTERNATIONAL_7",
    "INTERNATIONAL_8",
    "INTERNATIONAL_9",
  ],
  "keyboard-language": [
    "LANGUAGE_1",
    "LANGUAGE_2",
    "LANGUAGE_3",
    "LANGUAGE_4",
    "LANGUAGE_5",
    "LANGUAGE_6",
    "LANGUAGE_7",
    "LANGUAGE_8",
    "LANGUAGE_9",
  ],
  "keyboard-letters": [
    "A",
    "B",
    "C",
    "D",
    "E",
    "F",
    "G",
    "H",
    "I",
    "J",
    "K",
    "L",
    "M",
    "N",
    "O",
    "P",
    "Q",
    "R",
    "S",
    "T",
    "U",
    "V",
    "W",
    "X",
    "Y",
    "Z",
  ],
  "keyboard-locks": [
    "CAPSLOCK",
    "LOCKING_CAPS",
    "SCROLLLOCK",
    "LOCKING_SCROLL",
    "LOCKING_NUM",
  ],
  "keyboard-miscellaneous": [
    "PRINTSCREEN",
    "PAUSE_BREAK",
    "ALT_ERASE",
    "SYSREQ",
    "K_CANCEL",
    "CLEAR",
    "CLEAR_AGAIN",
    "CRSEL",
    "PRIOR",
    "SEPARATOR",
    "OUT",
    "OPER",
    "EXSEL",
    "K_EDIT",
  ],
  "keyboard-modifiers": [
    "LEFT_SHIFT",
    "RIGHT_SHIFT",
    "LEFT_CONTROL",
    "RIGHT_CONTROL",
    "LEFT_ALT",
    "RIGHT_ALT",
    "LEFT_GUI",
    "RIGHT_GUI",
  ],
  "keyboard-navigation": [
    "HOME",
    "END",
    "PAGE_UP",
    "PAGE_DOWN",
    "UP_ARROW",
    "DOWN_ARROW",
    "LEFT_ARROW",
    "RIGHT_ARROW",
    "K_APPLICATION",
  ],
  "keyboard-numbers": [
    "NUMBER_1",
    "NUMBER_2",
    "NUMBER_3",
    "NUMBER_4",
    "NUMBER_5",
    "NUMBER_6",
    "NUMBER_7",
    "NUMBER_8",
    "NUMBER_9",
    "NUMBER_0",
  ],
  "keyboard-symbols": [
    "EXCLAMATION",
    "AT_SIGN",
    "HASH",
    "DOLLAR",
    "PERCENT",
    "CARET",
    "AMPERSAND",
    "ASTERISK",
    "LEFT_PARENTHESIS",
    "RIGHT_PARENTHESIS",
    "EQUAL",
    "PLUS",
    "MINUS",
    "UNDERSCORE",
    "SLASH",
    "QUESTION",
    "BACKSLASH",
    "PIPE",
    "NON_US_BACKSLASH",
    "PIPE2",
    "SEMICOLON",
    "COLON",
    "SINGLE_QUOTE",
    "DOUBLE_QUOTES",
    "COMMA",
    "LESS_THAN",
    "PERIOD",
    "GREATER_THAN",
    "LEFT_BRACKET",
    "LEFT_BRACE",
    "RIGHT_BRACKET",
    "RIGHT_BRACE",
    "GRAVE",
    "TILDE",
    "NON_US_HASH",
    "TILDE2",
  ],
  keypad: ["KP_NUMLOCK", "KP_CLEAR", "CLEAR2", "KP_ENTER"],
  "keypad-numbers": [
    "KP_NUMBER_1",
    "KP_NUMBER_2",
    "KP_NUMBER_3",
    "KP_NUMBER_4",
    "KP_NUMBER_5",
    "KP_NUMBER_6",
    "KP_NUMBER_7",
    "KP_NUMBER_8",
    "KP_NUMBER_9",
    "KP_NUMBER_0",
  ],
  "keypad-operations": [
    "KP_PLUS",
    "KP_MINUS",
    "KP_MULTIPLY",
    "KP_DIVIDE",
    "KP_EQUAL",
    "KP_EQUAL_AS400",
    "KP_DOT",
    "KP_COMMA",
    "KP_LEFT_PARENTHESIS",
    "KP_RIGHT_PARENTHESIS",
  ],
  "media-controls": [
    "C_RECORD",
    "C_PLAY",
    "C_PLAY_PAUSE",
    "K_PLAY_PAUSE",
    "C_PAUSE",
    "C_STOP",
    "K_STOP2",
    "K_STOP3",
    "C_STOP_EJECT",
    "C_EJECT",
    "K_EJECT",
    "C_NEXT",
    "K_NEXT",
    "C_PREVIOUS",
    "K_PREVIOUS",
    "C_FAST_FORWARD",
    "C_REWIND",
    "C_SLOW",
    "C_SLOW_TRACKING",
    "C_REPEAT",
    "C_RANDOM_PLAY",
    "C_CAPTIONS",
    "C_DATA_ON_SCREEN",
    "C_SNAPSHOT",
  ],
  power: [
    "C_POWER",
    "K_POWER",
    "C_RESET",
    "C_SLEEP",
    "K_SLEEP",
    "C_SLEEP_MODE",
    "C_AL_LOGOFF",
    "C_AL_LOCK",
    "K_LOCK",
  ],
  sound: [
    "C_VOLUME_UP",
    "K_VOLUME_UP",
    "K_VOLUME_UP2",
    "C_VOLUME_DOWN",
    "K_VOLUME_DOWN",
    "K_VOLUME_DOWN2",
    "C_MUTE",
    "K_MUTE",
    "K_MUTE2",
    "C_ALTERNATE_AUDIO_INCREMENT",
    "C_BASS_BOOST",
  ],
  "undo-redo": ["C_AC_UNDO", "K_UNDO", "C_AC_REDO", "K_AGAIN"],
};
